Last Comment Bug 720163 - style="Foo: bar'" incorrectly diagnosed ('%1$S' instead of "'")
: style="Foo: bar'" incorrectly diagnosed ('%1$S' instead of "'")
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: CSS Parsing and Computation (show other bugs)
: unspecified
: All All
: P4 normal (vote)
: mozilla12
Assigned To: David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-21 13:13 PST by Philip TAYLOR
Modified: 2012-01-25 07:12 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
testcase (38 bytes, text/html)
2012-01-21 14:25 PST, David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch)
no flags Details
patch (768 bytes, patch)
2012-01-21 14:27 PST, David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch)
bzbarsky: review+
Details | Diff | Splinter Review

Description Philip TAYLOR 2012-01-21 13:13:46 PST
User Agent: Mozilla/5.0 (Windows NT 5.1; rv:9.0.1) Gecko/20111221 Firefox/9.0.1 SeaMonkey/2.6.1
Build ID: 20111221001913

Steps to reproduce:

A source file includes the line :

<DIV style="width: 500px; border: none; font: 18px/1.0 'Palatino
Linotype'; color: #000066; text-decoration: none'" id="Text">


Actual results:

The error console reports :

> Warning: Expected ';' to terminate declaration but found '%1$S'. 
> Declaration dropped.
> Source File:
> http://porphyrogenitus.org/Etheridge/Multifolio/Index-11.html
> Line: 0



Expected results:

The error console should report :

> Warning: Expected ';' or '"' to terminate declaration but found "'". 
> Declaration dropped.
> Source File:
> http://porphyrogenitus.org/Etheridge/Multifolio/Index-11.html
> Line: 0
Comment 1 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2012-01-21 14:25:03 PST
Created attachment 590511 [details]
testcase
Comment 2 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2012-01-21 14:27:41 PST
Created attachment 590512 [details] [diff] [review]
patch
Comment 3 Boris Zbarsky [:bz] 2012-01-22 14:32:09 PST
Comment on attachment 590512 [details] [diff] [review]
patch

r=me
Comment 4 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2012-01-24 17:35:39 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/4b3f1baa77fc
Comment 5 :Ms2ger (⌚ UTC+1/+2) 2012-01-25 07:12:37 PST
https://hg.mozilla.org/mozilla-central/rev/4b3f1baa77fc

Note You need to log in before you can comment on or make changes to this bug.